Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class ASN1Set

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.ASN1Set

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  DERConstructedSet, DERSet

    public abstract class ASN1Set

extends ASN1Object

Field Summary
`protected java.util.Vector` `set`

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`ASN1Set()`

Method Summary
`protected void` `addObject(DEREncodable obj)`
`static ASN1Set` `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an ASN1 set from a tagged object.
`static ASN1Set` `getInstance(java.lang.Object obj)` return an ASN1Set from the given object.
`DEREncodable` `getObjectAt(int index)` return the object at the set position indicated by index.
`java.util.Enumeration` `getObjects()`
`int` `hashCode()`
`ASN1SetParser` `parser()`
`int` `size()` return the number of objects in this set.
`protected void` `sort()`
`java.lang.String` `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### set

    protected java.util.Vector set

Constructor Detail

### ASN1Set

    public ASN1Set()

Method Detail

### getInstance

    public static ASN1Set getInstance(java.lang.Object obj)

  return an ASN1Set from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static ASN1Set getInstance(ASN1TaggedObject obj,
                                      boolean explicit)

  Return an ASN1 set from a tagged object. There is a special case here, if an object appears to have been explicitly tagged on reading but we were expecting it to be implicitly tagged in the normal course of events it indicates that we lost the surrounding set - so we need to add it back (this will happen if the tagged object is a sequence that contains other sequences). If you are dealing with implicitly tagged sets you really should be using this method.

  Parameters:
    `obj` - the tagged object.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getObjects

    public java.util.Enumeration getObjects()

### getObjectAt

    public DEREncodable getObjectAt(int index)

  return the object at the set position indicated by index.

  Parameters:
    `index` - the set number (starting at zero) of the object
  Returns:
    the object at the set position indicated by index.

### size

    public int size()

  return the number of objects in this set.

  Returns:
    the number of objects in this set.

### parser

    public ASN1SetParser parser()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Object`

### sort

    protected void sort()

### addObject

    protected void addObject(DEREncodable obj)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45